Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

Public Member Functions | List of all members
stk::Sphere Class Reference

STK sphere class. More...

`#include <Sphere.h>`

Inheritance diagram for stk::Sphere:

## Public Member Functions

| Sphere (StkFloat radius=1.0)
| Constructor taking an initial radius value.
void | setPosition (StkFloat x, StkFloat y, StkFloat z)
| Set the 3D center position of the sphere.
void | setVelocity (StkFloat x, StkFloat y, StkFloat z)
| Set the 3D velocity of the sphere.
void | setRadius (StkFloat radius)
| Set the radius of the sphere.
void | setMass (StkFloat mass)
| Set the mass of the sphere.
Vector3D * | getPosition (void)
| Get the current position of the sphere as a 3D vector.
Vector3D * | getRelativePosition (Vector3D *position)
| Get the relative position of the given point to the sphere as a 3D vector.
StkFloat | getVelocity (Vector3D *velocity)
| Set the velocity of the sphere as a 3D vector.
StkFloat | isInside (Vector3D *position)
| Returns the distance from the sphere boundary to the given position (< 0 if inside).
StkFloat | getRadius (void)
| Get the current sphere radius.
StkFloat | getMass (void)
| Get the current sphere mass.
void | addVelocity (StkFloat x, StkFloat y, StkFloat z)
| Increase the current sphere velocity by the given 3D components.
void | tick (StkFloat timeIncrement)
| Move the sphere for the given time increment.
Public Member Functions inherited from stk::Stk
void | ignoreSampleRateChange (bool ignore=true)
| A function to enable/disable the automatic updating of class data when the STK sample rate changes.

## Additional Inherited Members

Static Public Member Functions inherited from stk::Stk
static StkFloat | sampleRate (void)
| Static method that returns the current STK sample rate.
static void | setSampleRate (StkFloat rate)
| Static method that sets the STK sample rate.
static void | clear_alertList ()
| Static method that frees memory from alertList_.
static std::string | rawwavePath (void)
| Static method that returns the current rawwave path.
static void | setRawwavePath (std::string path)
| Static method that sets the STK rawwave path.
static void | swap16 (unsigned char *ptr)
| Static method that byte-swaps a 16-bit data type.
static void | swap32 (unsigned char *ptr)
| Static method that byte-swaps a 32-bit data type.
static void | swap64 (unsigned char *ptr)
| Static method that byte-swaps a 64-bit data type.
static void | sleep (unsigned long milliseconds)
| Static cross-platform method to sleep for a number of milliseconds.
static bool | inRange (StkFloat value, StkFloat min, StkFloat max)
| Static method to check whether a value is within a specified range.
static void | handleError (const char *message, StkError::Type type)
| Static function for error reporting and handling using c-strings.
static void | handleError (std::string message, StkError::Type type)
| Static function for error reporting and handling using c++ strings.
static void | showWarnings (bool status)
| Toggle display of WARNING and STATUS messages.
static void | printErrors (bool status)
| Toggle display of error messages before throwing exceptions.
Static Public Attributes inherited from stk::Stk
static const StkFormat | STK_SINT8
static const StkFormat | STK_SINT16
static const StkFormat | STK_SINT24
static const StkFormat | STK_SINT32
static const StkFormat | STK_FLOAT32
static const StkFormat | STK_FLOAT64
Protected Member Functions inherited from stk::Stk
| Stk (void)
| Default constructor.
virtual | ~Stk (void)
| Class destructor.
virtual void | sampleRateChanged (StkFloat newRate, StkFloat oldRate)
| This function should be implemented in subclasses that depend on the sample rate.
void | addSampleRateAlert (Stk *ptr)
| Add class pointer to list for sample rate change notification.
void | removeSampleRateAlert (Stk *ptr)
| Remove class pointer from list for sample rate change notification.
void | handleError (StkError::Type type) const
| Internal function for error reporting that assumes message in `oStream_` variable.

## Detailed Description

STK sphere class.

This class implements a spherical ball with radius, mass, position, and velocity parameters.

by Perry R. Cook, 1995–2023.

The documentation for this class was generated from the following file:

- Sphere.h

The Synthesis ToolKit in C++ (STK)
©1995--2023 Perry R. Cook and Gary P. Scavone. All Rights Reserved.